Become a MacRumors Supporter for $25/year with no ads, private forums, and more!

Help finding iLife '06 dmg?

Dave Braine

macrumors 68040
Mar 19, 2008
3,716
239
Warrington, UK
That link was for iMovie6HD, not iLife '06. It was for people who had upgraded to Leopard, which introduced iMovie08. iMovie08 was such a piece of junk that so many complained about it. So Apple made that iMovie06HD download available. However, you had to have Leopard installed for it to work.

I think Apple discontinued it some time ago. Do you have Leopard on your G4?
 
Comment

yakhem

macrumors newbie
Original poster
Apr 28, 2016
3
0
That link was for iMovie6HD, not iLife '06. It was for people who had upgraded to Leopard, which introduced iMovie08. iMovie08 was such a piece of junk that so many complained about it. So Apple made that iMovie06HD download available. However, you had to have Leopard installed for it to work.

I think Apple discontinued it some time ago. Do you have Leopard on your G4?

I think I wrote my question wrong, I was mainly looking for iMovie. Anyway, I have Tiger installed, version 10.4.11. I can't upgrade to Leopard because I need Classic support for some of my applications.
 
Comment

Dave Braine

macrumors 68040
Mar 19, 2008
3,716
239
Warrington, UK
Pity. I have a copy of that iMovie download, but as I said, you need Leopard to install it. How come you don't already have, as it came installed at that time?

Weaselboy, I found that as well. You obviously missed:
Currently unavailable.
We don't know when or if this item will be back in stock.
 
Comment

Weaselboy

Moderator
Staff member
Jan 23, 2005
30,897
10,686
California
Pity. I have a copy of that iMovie download, but as I said, you need Leopard to install it. How come you don't already have, as it came installed at that time?

Weaselboy, I found that as well. You obviously missed:
Nope. It showed in stock when I posted the link and does right now for me (US).
 
Comment

yakhem

macrumors newbie
Original poster
Apr 28, 2016
3
0
Pity. I have a copy of that iMovie download, but as I said, you need Leopard to install it. How come you don't already have, as it came installed at that time?

Weaselboy, I found that as well. You obviously missed:
I don't have it anymore because the hard drive that came with my PowerBook crashed, so I took it as an opportunity to upgrade. The Apple stores don't have iLife 06 to install anymore, so I couldn't go to them. The Apple website says that I need 10.4.4 for iMovie, so my computer should be able to run it.
 
Comment

Weaselboy

Moderator
Staff member
Jan 23, 2005
30,897
10,686
California
OK, that link takes me to Amazon UK.

The link I posted is to Amazon US. What happens is the MR forums uses an add-on that changes Amazon links to the store where your IP is from. So that add-on redirects my US Amazon link automatically to a UK Amazon link for you since your IP is from the UK. It is called GeoRiot.
 
Comment
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.